from setuptools import setup, find_packages

setup(
    name="elyuf",
    version="0.2.0",
    description="This bot has been created independently for El-Yurt Umidi Foundation for easily searching Universities global rankings based on three top sources such as QS World University Rank, Times Higher Education Rank, US News & World Report Rank.",
    author="Mukhsin",
    author_email="muxsinmuxtorov01@gmail.com",
    license="MIT",
    packages=find_packages(),
    install_requires=[
        # List your project's dependencies here
        'aiohttp==3.9.5',
        'aiosignal==1.3.1',
        'annotated-types==0.7.0',
        'anyio==4.4.0',
        'asgiref==3.8.1',
        'attrs==23.2.0',
        'beautifulsoup4==4.12.3',
        'bs4==0.0.2',
        'cachetools==5.3.3',
        'certifi==2024.6.2',
        'charset-normalizer==3.3.2',
        'click==8.1.7',
        'colorama==0.4.6',
        'dataclasses-json==0.6.7',
        'dnspython==2.6.1',
        'docstring_parser==0.16',
        'fastapi==0.110.3',
        'frozenlist==1.4.1',
        'git-filter-repo==2.38.0',
        'gitdb==4.0.11',
        'GitPython==3.1.43',
        'google-api-core==2.19.1',
        'google-auth==2.30.0',
        'google-cloud-aiplatform==1.56.0',
        'google-cloud-bigquery==3.25.0',
        'google-cloud-core==2.4.1',
        'google-cloud-resource-manager==1.12.3',
        'google-cloud-storage==2.17.0',
        'google-crc32c==1.5.0',
        'google-resumable-media==2.7.1',
        'googleapis-common-protos==1.63.2',
        'grpc-google-iam-v1==0.13.1',
        'grpcio==1.64.1',
        'grpcio-status==1.62.2',
        'h11==0.14.0',
        'httpcore==1.0.5',
        'httpx==0.27.0',
        'idna==3.7',
        'jsonpatch==1.33',
        'jsonpointer==3.0.0',
        'jsonschema==4.22.0',
        'jsonschema-specifications==2023.12.1',
        'langchain==0.2.5',
        'langchain-cli==0.0.25',
        'langchain-community==0.2.5',
        'langchain-core==0.2.9',
        'langchain-google-vertexai==1.0.6',
        'langchain-mongodb==0.1.6',
        'langchain-text-splitters==0.2.1',
        'langserve==0.2.2',
        'langsmith==0.1.82',
        'libcst==1.4.0',
        'markdown-it-py==3.0.0',
        'marshmallow==3.21.3',
        'mdurl==0.1.2',
        'multidict==6.0.5',
        'mypy-extensions==1.0.0',
        'numpy==1.26.4',
        'orjson==3.10.5',
        'packaging==24.1',
        'proto-plus==1.24.0',
        'protobuf==4.25.3',
        'pyasn1==0.6.0',
        'pyasn1_modules==0.4.0',
        'pydantic==2.7.4',
        'pydantic_core==2.18.4',
        'Pygments==2.18.0',
        'pymongo==4.7.3',
        'pyproject-toml==0.0.10',
        'pyTelegramBotAPI==4.19.1',
        'python-dateutil==2.9.0.post0',
        'python-dotenv==1.0.1',
        'python-telegram-bot==21.3',
        'PyYAML==6.0.1',
        'referencing==0.35.1',
        'requests==2.32.3',
        'rich==13.7.1',
        'rpds-py==0.18.1',
        'rsa==4.9',
        'setuptools==70.1.1',
        'shapely==2.0.4',
        'shellingham==1.5.4',
        'six==1.16.0',
        'smmap==5.0.1',
        'sniffio==1.3.1',
        'soupsieve==2.5',
        'SQLAlchemy==2.0.31',
        'sqlparse==0.5.0',
        'sse-starlette==1.8.2',
        'starlette==0.37.2',
        'telebot==0.0.5',
        'tenacity==8.4.2',
        'toml==0.10.2',
        'tomlkit==0.12.5',
        'typer==0.9.4',
        'typing-inspect==0.9.0',
        'typing_extensions==4.12.2',
        'urllib3==2.2.1',
        'uvicorn==0.23.2',
        'wheel==0.43.0',
        'yarl==1.9.4',
    ],
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    classifiers=[
        'Development Status :: 4 - Beta',  # Change as appropriate
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'Programming Language :: Python :: 3.12',
    ],
    python_requires='>=3.9.19',  # Update as needed
)